curl --request POST \
--url https://matcher.sandbox.lerian.net/v1/matching/adjustments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "10.50",
"currency": "BRL",
"direction": "DEBIT",
"description": "Bank wire fee adjustment",
"reason": "Variance due to bank processing fee",
"type": "BANK_FEE",
"matchGroupId": "019c96a0-0b74-768c-8d25-2bf065dca2f8",
"transactionId": "019c96a0-10ce-75fc-a273-dc799079a99c"
}
'import requests
url = "https://matcher.sandbox.lerian.net/v1/matching/adjustments"
payload = {
"amount": "10.50",
"currency": "BRL",
"direction": "DEBIT",
"description": "Bank wire fee adjustment",
"reason": "Variance due to bank processing fee",
"type": "BANK_FEE",
"matchGroupId": "019c96a0-0b74-768c-8d25-2bf065dca2f8",
"transactionId": "019c96a0-10ce-75fc-a273-dc799079a99c"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '10.50',
currency: 'BRL',
direction: 'DEBIT',
description: 'Bank wire fee adjustment',
reason: 'Variance due to bank processing fee',
type: 'BANK_FEE',
matchGroupId: '019c96a0-0b74-768c-8d25-2bf065dca2f8',
transactionId: '019c96a0-10ce-75fc-a273-dc799079a99c'
})
};
fetch('https://matcher.sandbox.lerian.net/v1/matching/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adjustment": {
"amount": 123,
"contextId": "<string>",
"createdAt": "<string>",
"createdBy": "<string>",
"currency": "<string>",
"description": "<string>",
"id": "<string>",
"matchGroupId": "<string>",
"reason": "<string>",
"transactionId": "<string>",
"updatedAt": "<string>"
}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Crear un ajuste
Utilice este endpoint para crear un asiento de diario de ajuste (por ejemplo, comisión bancaria, diferencia de cambio) para resolver la varianza entre transacciones conciliadas o en una sola transacción.
Autorizaciones
Autenticación con token Bearer (formato: "Bearer {token}")
Encabezados
A unique identifier for tracing the request across services.
Clave de idempotencia opcional para reintentos seguros. También acepta Idempotency-Key como nombre de encabezado alternativo. Si se envía la misma clave nuevamente y la solicitud original ya fue procesada, se devuelve la respuesta en caché con X-Idempotency-Replayed: true.
Consulte Reintentos e idempotencia para más detalles.
Parámetros de consulta
Context ID
Cuerpo
Payload del ajuste
"10.50"
"BRL"
Dirección del ajuste
DEBIT, CREDIT "DEBIT"
"Bank wire fee adjustment"
"Variance due to bank processing fee"
BANK_FEE, FX_DIFFERENCE, ROUNDING, WRITE_OFF, MISCELLANEOUS "BANK_FEE"
"019c96a0-0b74-768c-8d25-2bf065dca2f8"
"019c96a0-10ce-75fc-a273-dc799079a99c"
Respuesta
Indica que el recurso fue creado correctamente.
La respuesta incluye el encabezado X-Idempotency-Replayed.
Si el valor es false, la solicitud acaba de ser procesada. Si el valor es true, la respuesta es una repetición de una solicitud procesada anteriormente.
Consulte Reintentos e idempotencia para más detalles.
Show child attributes
Show child attributes
¿Esta página le ayudó?

